void prepare(String className) throws Exception {
        // First, get all the relevant information for the class
        // In particular, getting the remote interfaces of the class
        // includes checking if the class directly implements
        // (in the implements clause of its declaration) at least one
        // remote interface. If not, an error will be thrown.
        classctx = new ClassContext(cmpCtx, className);
        remItfs = classctx.getRemoteInterfaces();
        remMths = classctx.getRemoteMethodContexts();
        nbMths = remMths.length;
        // prepare for generating the config object
        configClassName = classctx.clName + "_ClusterConfig";
        configFileName = configClassName + ".java";
        configFullFileName =
            classctx.genDirName + File.separator + configFileName;
        Utils.trace("config object source file is " + configFullFileName, cmpCtx);
        configFile = new FileStream(classctx.genDirName, configFileName);
    }
