class JeremieRegistry implements NameService {
    /**
     * port number ( 12340 for default)
     */
    public int port=12340;

    /**
     * registry 
     */
    public Registry registry = null; 

    /**
     * start Method, Start a new NameService or do nothing if the name service is all ready start
     * @param int port is port number
     * @throws NameServiceException if a problem occure 
     */
    public void start() throws NameServiceException {	
	if (TraceCarol.isDebugJndiCarol()) {
            TraceCarol.debugJndiCarol("JeremieRegistry.start() on port:" + port);
        }
	try {
	    if (!isStarted()) {
		if (port >= 0) {
		    registry = LocateRegistry.createRegistry(port);
		    // add a shudown hook for this process
		    Runtime.getRuntime().addShutdownHook(new Thread() {
			    public void run() {
				try {
				    JeremieRegistry.this.stop();
				} catch (Exception e) {
				    TraceCarol.error("JeremieRegistry ShutdownHook problem" ,e);
				}
			    }
